#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

#pragma GCC optimize("O3")
#pragma GCC optimize("unroll-loops")
#pragma GCC target("avx2")

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int h, w;
    cin >> h >> w;
    cout << (h * w * (h + w) / 2 + 2 * h * w - h - w);
    return 0;
}
